org.apache.tapestry5.internal

## Class TapestryAppInitializer

- java.lang.Object
- - org.apache.tapestry5.internal.TapestryAppInitializer

-     public class TapestryAppInitializer
      extends Object

  This class is used to build the `Registry`. The Registry contains `TapestryIOCModule` and `TapestryModule`, any modules identified by `addModules(Class[])` )}, plus the application module. The application module is optional. The application module is identified as package.services.appNameModule, where package and the appName are specified by the caller.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TapestryAppInitializer(org.slf4j.Logger logger, String appPackage, String appName)`
    `TapestryAppInitializer(org.slf4j.Logger logger, SymbolProvider appProvider, String appName, String executionModes)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addModules(Class... moduleClasses)`
    `void` | `addModules(ModuleDef... moduleDefs)` Adds additional modules.
    `void` | `announceStartup()` Announce application startup, by logging (at INFO level) the names of all pages, components, mixins and services.
    `Registry` | `createRegistry()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TapestryAppInitializer

          public TapestryAppInitializer(org.slf4j.Logger logger,
                                        String appPackage,
                                        String appName)

      Parameters:
        `logger` - logger for output confirmation
        `appPackage` - root package name to search for pages and components
        `appName` - the name of the application (i.e., the name of the application servlet)

    - #### TapestryAppInitializer

          public TapestryAppInitializer(org.slf4j.Logger logger,
                                        SymbolProvider appProvider,
                                        String appName,
                                        String executionModes)

      Parameters:
        `logger` - logger for output confirmation
        `appProvider` - provides symbols for the application (normally, from the ServletContext init parameters), plus (as of 5.4) the value for symbol `SymbolConstants.CONTEXT_PATH`
        `appName` - the name of the application (i.e., the name of the application servlet)
        `executionModes` - an optional, comma-separated list of execution modes, each of which is used to find a list of additional module classes to load (key `tapestry.name-modules` in appProvider, i.e., the servlet context)

  - ### Method Detail

    - #### addModules

          public void addModules(ModuleDef... moduleDefs)

      Adds additional modules.
      Parameters:
        `moduleDefs` -

    - #### addModules

          public void addModules(Class... moduleClasses)

    - #### createRegistry

          public Registry createRegistry()

    - #### announceStartup

          public void announceStartup()

      Announce application startup, by logging (at INFO level) the names of all pages, components, mixins and services.

${project.version} - Copyright © 2003-2015 The Apache Software Foundation.